Summary: A patched version of sced, a three dimensional modeler.
Name:sceda
Version: 0.81
Release: 13
Copyright:distributable
Group: Applications/Multimedia
Source: ftp://ftp.cyberus.ca/pub/sceda/sceda-0.81.tar.gz
Url: http://www.cyberus.ca/~denism/sceda/sceda.html
Source1: sceda.wmconfig
Patch0: sceda-0.81-scenerc.patch
Patch1: sceda-0.81-misc.patch
Patch2: sceda-0.81-povray.patch
Patch3: sceda-0.81-sparc.patch
Patch4: sceda-0.81-glibc.patch
BuildRoot: /var/tmp/sceda-root

%description
Sceda is an X Window System based, constraint-oriented three
dimensional modeler. Sceda provides support for splined keyframe
animation. Animated objects' positions, rotations and scales are
smoothly interpolated across multiple keyframes via a (modified)
spline function.

%prep
%setup -q
%patch0 -p1 -b .scenerc
%patch1 -p1 -b .misc
%patch2 -p1 -b .povray

%ifarch sparc
%patch3 -p1 -b .sparc
%endif

#%ifarch alpha
%patch4 -p1 -b .glibc
#%endif

%build
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr/X11R6
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/{bin,man/man1}
install -s -c -m 755 sceda $RPM_BUILD_ROOT/usr/X11R6/bin
install -c -m 444 man/man1/sced.1 $RPM_BUILD_ROOT/usr/X11R6/man/man1/sceda.1x

#put man page in correct place
mkdir -p $RPM_BUILD_ROOT/usr/share/man/man1
cp $RPM_BUILD_ROOT/usr/X11R6/man/man1/sceda.1x $RPM_BUILD_ROOT/usr/share/man/man1

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Multimedia

cat > $RPM_BUILD_ROOT/etc/X11/applnk/Multimedia/sceda.desktop <<EOF
[Desktop Entry]
Name=sceda
Type=Application
Description=3d Modeler
Exec=sceda
EOF

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc docs
%doc tutorials
%doc CHANGES.sceda INSTALL.sceda   README.sceda LICENCE 
%doc MANIFEST.sceda  WHATSNEW.sceda
%doc scenerc
/usr/X11R6/bin/sceda
/usr/share/man/*/*
/etc/X11/applnk/Multimedia/sceda.desktop

%changelog
* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri May 19 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0
- use applnk instead
- put man pages in /usr/share/man

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group

* Wed Jul 21 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Wed May 05 1999 Bill Nottingham <notting@redhat.com>
- rebuilt for 6.0

* Fri Oct 08 1998 Michael Maher <mike@redhat.com>
- rebuilt for 5.2

* Fri May 22 1998 Cristian Gafton <gafton@redhat.com>
- added buildroot

* Thu Nov 20 1997 Otto Hammersmith <otto@redhat.com>
- added changelog
- built for glibc
- added wmconfig entry
